Subject: Re: Re: draft-lasserre-vkompella-ppvpn-vpls as working group draft

From: Du Wenhua <[email-masked]>
Date: Wed, 16 Apr 2003 01:38:24 +0800

Hi, Ali Sajassi

	See my comment bellow.

　　　　　　　　Du Wenhua
　　　　　　　　[email-masked]
　　　　　　　　　　2003-04-16

>>At 06:47 AM 4/15/2003 +0800, Du Wenhua wrote:
>>Hi,Rick Wilder,
>>    I support it to become a WG draft.
>>
>>BTW, one qustion as follow:
>>In setction 11 of the draft-lasserre-vkompella-ppvpn-vpls-04.txt, it say:
>>
>>*   11.  Hierarchical VPLS model using Ethernet Access Network
>>      .....
>>*   One approach of tunneling a customer?s Ethernet traffic via an
>>*   Ethernet access network is to add an additional VLAN tag to the
>>*   customer?s data (either tagged or untagged). The additional tag is
>>*   referred to as Provider?s VLAN (P-VLAN). Inside the provider?s
>>*   network each P-VLAN designates a customer or more specifically a VPLS
>>**   instance for that customer. Therefore, there is a one to one
>>**   correspondence between a P-VLAN and a VPLS instance.
>>
>>    In my option, the last sentece in above is not true. There is also a 
>> many-to-one correspondence between a P-VLAN and a VPLS instance, not only 
>> a one-to-one.  i.e, a customer with P-VLAN 3 and another customer with 
>> P-VLAN 4 belong to the same VPLS.
>>     Muchmore,  to PE-rs the ethernet port is not a traditional standard 
>> port. When flooding, PE-rs need to send more than one copy in one 
>> ehternet port, because there are serveral custumers in one ethernet port 
>> each have different P-VLAN.
>
>If two customer share the same VPLS instance, then you would use a single 
>P-VLAN for both of those customers - e.g., there is one-to-one mapping 
>between P-VLAN and VPLS within a given access domain (different QinQ 
  Not always true. 
  You can use one P-VLAN for two customer in most case. But for managerment and security reason, the provider want to use different P-VLANs for  different customers in same domain. For example , the provider want to isolate the two customer's traffic, and do different rate-limit in PE-rs. Another example, the provider do not want the two customer talk with each other, so then can apply access list in the PE-rs.
    The fact is that, ethernet access network are  made up of some low price switchs, which are poor in value-add service, such as access list control, rate limit, statistic. The PE-rs is high price device. There is many value-add service, such as access list control, rate limit,subscriber managerment. So if you want different service for different customer, you need to use different P-VLANs.
   In one word, P-VLAN is the service delimiter of a customer. Different customers need different delimiters, because they need differnet services in PE-rs.

>domain). If you're talking about different access domain, then there can be 
>different P-VLANs maps into the same VPLS and if that's your comment, then 
>I would agree and we can clarify the text.
True. In different domain, same VPLS maybe use different P-VLAN.
>-Ali

>
>
>>  　　　　　　　　Du Wenhua
>>
>>
>>
>>
>>
>> >As noted in the minutes, at the San Francisco meeting strong interest
>> >was expressed in pursuing the "draft-lasserre-vkompella-ppvpn-vpls" as a
>> >working group draft. We agreed to finalize that decision only after the
>> >WG participants who weren't there could have a say.
>> >
>> >So, if there are opinions that have not been heard, now is the time, and
>> >this list is the place. Let's set a one-week limit to conclude this
>> >issue.
>> >
>> >Rick
>> >
>> >------------------------------------------------------------------------
>> >------------------------------------------------------------------------
>> >---
>> >From the minutes:
>> >
>> >Alex: For a document to become a WG draft, it doesn't have to be 100
>> >correct.  It can become a WG document if it is a good start.
>> >Matt: I wanted to make the same comment.
>> >
>> >[snipped]
>> > Marco: asked for show of hands to make this a wG draft.
>> >Strong interest was shown in room. Further discussion on the list.
>> >
>>
>>

---

From: Ali Sajassi <[email-masked]>
Date: Tue, 15 Apr 2003 13:11:42 -0700

>  You can use one P-VLAN for two customer in most case. But for 
> managerment and security reason, the provider want to use different 
> P-VLANs for  different customers in same domain. For example , the 
> provider want to isolate the two customer's traffic, and do different 
> rate-limit in PE-rs. Another example, the provider do not want the two 
> customer talk with each other, so then can apply access list in the PE-rs.
>     The fact is that, ethernet access network are  made up of some low 
> price switchs, which are poor in value-add service, such as access list 
> control, rate limit, statistic. The PE-rs is high price device. There is 
> many value-add service, such as access list control, rate 
> limit,subscriber managerment. So if you want different service for 
> different customer, you need to use different P-VLANs.
>    In one word, P-VLAN is the service delimiter of a customer. Different 
> customers need different delimiters, because they need differnet services 
> in PE-rs.

You should read the draft again and also try to keep up with what is going 
on in 802.1ad. P-VLAN is a way to identify the VPLS instance within the 
QinQ access network. There are two learning modes, qualified and 
unqualified learning. In unqualified mode, all customer's VLANs is mapped 
into a single VPLS instance and the P-VLAN represents that VPLS instance 
(THIS HAS NOTHING TO DO WITH SERVICE DELIMITER). In case of qualified mode, 
each customer VLAN serves as service delimiter and each customer VLAN 
correspond to a VPLS instance. Furthermore, each customer VLAN can map to a 
P-VLAN. This mapping functionality is performed by the edge device and are 
transparent to the intermediate switches.

-Ali

> >>  ¡¡¡¡¡¡¡¡¡¡¡¡¡¡¡¡Du Wenhua
> >>
> >>
> >>
> >>
> >>